Webhooks
List Webhooks
List all webhook endpoints registered for the caller’s organization.
GET
/
api
/
v1
/
webhooks
List Webhooks
curl --request GET \
--url https://api.example.com/api/v1/webhooksimport requests
url = "https://api.example.com/api/v1/webhooks"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"webhooks": [
{
"id": "<string>",
"url": "<string>",
"event_types": [
"<string>"
],
"enabled": true,
"last_delivered_at": {},
"failure_count": 123,
"created_at": "<string>"
}
]
}Response
Array of webhook objects.
Show Webhook object
Show Webhook object
Example
curl https://www.hitheo.ai/api/v1/webhooks \
-H "Authorization: Bearer $THEO_API_KEY"
const webhooks = await theo.listWebhooks();
Response
{
"webhooks": [
{
"id": "a1b2c3d4-...",
"url": "https://your-server.com/webhooks/theo",
"event_types": ["completion.created", "job.completed"],
"enabled": true,
"last_delivered_at": "2026-04-15T11:30:00.000Z",
"failure_count": 0,
"created_at": "2026-04-10T08:00:00.000Z"
}
]
}
The
signing_secret is never returned after creation. If you lose it, use the rotate secret endpoint to generate a new one.Was this page helpful?
⌘I
List Webhooks
